﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using System.Windows.Threading;
using ImageNexus.BenScharbach.Common.AttributesCodeInjector.AttsThreading;

namespace ImageNexus.BenScharbach.Utilities.EverNoteDropper
{
    /// <summary>
    /// Interaction logic for RsltWindow.xaml
    /// </summary>
    public partial class RsltWindow : Window
    {
        private int _copiedTotal;
        private int _skippedTotal;

        /// <summary>
        /// Constructor
        /// </summary>
        public RsltWindow()
        {
            InitializeComponent();
        }

        /// <summary>
        /// Clears out the prior running totals.
        /// </summary>
        [GuiThread(DispatcherPriority.Normal)]
        public void ClearAll()
        {
            _copiedTotal = 0;
            _skippedTotal = 0;
            lstResultsOfSync.Items.Clear();
        }

        /// <summary>
        /// Add output results lineitem.
        /// </summary>
        [GuiThread(DispatcherPriority.Normal)]
        public void AddResultsItem(string result, bool copied, SolidColorBrush solidColorBrush)
        {
            if (string.IsNullOrEmpty(result))
                return;

            if (copied)
                _copiedTotal++;
            else
                _skippedTotal++;

            txtHeaderMessage.Text = string.Format("Sync operation results => {0} copied and {1} skipped.", _copiedTotal,
                                                  _skippedTotal);

            lstResultsOfSync.Items.Add(new TextBlock { Text = result, FontSize = 10, Foreground = solidColorBrush });
        }

        
        private void resultWindow_Closing(object sender, System.ComponentModel.CancelEventArgs e)
        {
            e.Cancel = true;
            Hide();
        }
    }
}
